Option to stop sending reminders on non-working days
2018-12-06 03:09 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

Currently, Redmine sends reminders every day regardless of the non-working days setting (in "Administration" > "Settings" > "Issue
tracking" page). But | don't want to receive reminders on weekends. Maybe many people think so :)

I think it would be a nice improvement to have an option in the My account page to set whether the user wants to receive email
reminders on non-working days (e.g. a checkbox with a label "l don't want to receive email reminders on non-working days" in the
"Email notifications" box).

| implemented a similar feature in my plugin (redmine_extended_reminder) in the past.

Related issues:
Related to Redmine - Patch #20121: Respect working days configuration when se... New

History

#1 - 2018-12-06 06:44 - Anonymous
489480504647876628.png +1

P.S. I'm thinking... there is lots of things (from minor fixes to huge features) that numerous developers out there had already implemented as plugins,
which probably should have been in Redmine in the first place. Maybe one of the major plans of the community in the future could be to conspire with
plugin developers in order to have them (or us, if they allow it) to port their code into the actual patches. This could be time saving for everyone, as we
d be skipping the need for doing it from scratch | guess. :D

#2 - 2018-12-26 01:47 - Yuichi HARADA
- File ScreenShot_2018_12_26_9.21.58.png added
- File 30112-stop-reminder-on-non-working-days.patch added

On the My account Email notifications page, set whether users will not receive email reminders on non-working days.

ScreenShot_2018_12_26_9.21.58.png
| made a patch, and attach it.

#3 - 2019-01-22 06:57 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2024-01-12 01:52 - Mizuki ISHIKAWA
- File 30112-stop-reminder-on-non-working-days-r22605.patch added

+1
I would like this feature.
Fixed #note-2 patch to avoid conflicts.

#5 - 2024-01-12 05:45 - Mizuki ISHIKAWA
- File 30112-stop-reminder-on-non-working-days-r22605.patch added

| mistakenly attached an empty file in #note-4. The correct patch is attached.

#6 - 2024-01-12 05:47 - Go MAEDA
- File deleted (301 12-stop-reminder-on-non-working-days-r22605.patch)
https://github.com/vividtone/redmine_extended_reminder

#7 - 2024-01-12 07:48 - Marius BALTEANU

| think it will be better to have a snooze mechanism instead of just dropping the notifications. Also, the non-working days from admin is quite limited,
we should have a way for each user to set his working days and hours.

#8 - 2024-01-16 08:22 - Mizuki ISHIKAWA
Marius BALTEANU wrote in #note-7:

| think it will be better to have a snooze mechanism instead of just dropping the notifications.

Does the snooze mechanism mean, for instance, if Saturday and Sunday are days off, that you will receive three emails on Monday covering
Saturday, Sunday, and Monday? In the case of reminder emails, since they display tickets whose due dates are either approaching or have passed
within N days, | think stopping the reminders for Saturday and Sunday wouldn’t matter as the Monday reminder would encompass the information
from the reminders of Saturday and Sunday.

Also, the non-working days from admin is quite limited, we should have a way for each user to set his working days and hours.

| agree that it would be good to be able to set individual non-working days for each user. Furthermore, it would be great if it was possible to set other
non-working days of the week, rather than simply specifying the day.

#9 - 2024-01-18 02:39 - Marius BALTEANU

Sorry, | haven't fully understand this issue when | read it firstly. So this new setting affects only the reminders that are sent using the rake task rake
redmine:send_reminders and it doesn't apply to the usual mail notifications that are sent after specific events in the projects?

#10 - 2024-01-22 06:51 - Mizuki ISHIKAWA
Marius BALTEANU wrote in #note-9:

Sorry, | haven't fully understand this issue when | read it firstly. So this new setting affects only the reminders that are sent using the rake task
rake redmine:send_reminders and it doesn't apply to the usual mail notifications that are sent after specific events in the projects?

Yes, that's correct. The patch modifies the Mailer#reminders method, and Mailer#reminders is only called by the rake task rake
redmine:send_reminders.

#11 - 2024-01-22 13:34 - Marius BALTEANU

Thanks, it's clear now.

I'm not sure about this option because as a user, | don't have any visibility in Redmine Ul about reminders and administrators already have some
basic flexibility to send these reminders only during working days when they are setting up the cron. We can improve this by adding a flag to
redmine:send_reminders to send notification only during working days and then the administrator can have the cron running daily and Redmine
choose when to send or not the notification based on the Setting.non_working_week_days.

Coming back to user notification preferences, I'm more in favour of adding a "l don't want to be notified outside work days/hours" option which should
apply to all notifications, not only reminders. Later on, we can add the "snooze" mechanism on top of this (reminders should be excluded from this).

If we take more feedback on this and agree which solution is better, | think we can include this with all the notification improvements that are under
review right now.

#12 - 2024-01-22 14:55 - Marius BALTEANU

Marius BALTEANU wrote in #note-11:
Thanks, it's clear now.
I'm not sure about this option because as a user, | don't have any visibility in Redmine Ul about reminders and administrators already have some
basic flexibility to send these reminders only during working days when they are setting up the cron. We can improve this by adding a flag to

redmine:send_reminders to send notification only during working days and then the administrator can have the cron running daily and Redmine
choose when to send or not the notification based on the Setting.non_working_week_days.

I've found #20121 for this flag.

#13 - 2024-01-22 14:55 - Marius BALTEANU

- Related to Patch #20121: Respect working days configuration when sending reminder emails added

Files

ScreenShot_2018_12_26_9.21.58.png 165 KB 2018-12-26 Yuichi HARADA
https://www.redmine.org/issues/20121

30112-stop-reminder-on-non-working-days.patch 7.3 KB 2018-12-26 Yuichi HARADA
30112-stop-reminder-on-non-working-days-r22605.patch 6.16 KB 2024-01-12 Mizuki ISHIKAWA
